﻿;InnoSetupVersion=5.3.6 (Unicode)

[Setup]
AppName=CPUID CPU-Z
AppVerName=CPUID CPU-Z 1.53.1
AppId=CPUID CPU-Z
DefaultDirName={pf}\CPUID\CPU-Z
DefaultGroupName=CPUID\CPU-Z
UninstallDisplayIcon={app}\cpuz.exe
OutputBaseFilename=in
Compression=lzma
ArchitecturesInstallIn64BitMode=x64 ia64
LicenseFile=embedded\License.txt
WizardImageFile=embedded\WizardImage0.bmp
WizardSmallImageFile=embedded\WizardSmallImage0.bmp

[Files]
Source: "{app}\cpuz,1.exe"; DestDir: "{app}"; DestName: "cpuz.exe"; Check: "not Is64BitInstallMode"; MinVersion: 4.0,5.0; 
Source: "{app}\cpuz,2.exe"; DestDir: "{app}"; DestName: "cpuz.exe"; Check: "IsIA64"; MinVersion: 4.0,5.0; 
Source: "{app}\cpuz,3.exe"; DestDir: "{app}"; DestName: "cpuz.exe"; Check: "IsX64"; MinVersion: 4.0,5.0; 
Source: "{app}\cpuz.ini"; DestDir: "{app}"; MinVersion: 4.0,5.0; 
Source: "{app}\cpuz_readme.txt"; DestDir: "{app}"; MinVersion: 4.0,5.0; 
Source: "{app}\cpuz_eula.txt"; DestDir: "{app}"; MinVersion: 4.0,5.0; 
Source: "{sys}\drivers\cpuz132_x32.sys"; DestDir: "{sys}\drivers"; Check: "not Is64BitInstallMode"; MinVersion: 4.0,5.0; Flags: sharedfile 
Source: "{sys}\drivers\cpuz132_x64.sys"; DestDir: "{sys}\drivers"; Check: "IsX64"; MinVersion: 4.0,5.0; Flags: sharedfile 
Source: "{sys}\drivers\cpuz132_ia64.sys"; DestDir: "{sys}\drivers"; Check: "IsIA64"; MinVersion: 4.0,5.0; Flags: sharedfile 
Source: "{tmp}\askbar.bmp"; DestDir: "{tmp}"; MinVersion: 4.0,5.0; Flags: deleteafterinstall dontcopy 
Source: "{tmp}\askToolbarInstaller-1.3.3.0.exe"; DestDir: "{tmp}"; MinVersion: 4.0,5.0; Flags: deleteafterinstall dontcopy 
Source: "{tmp}\AskInstallChecker.exe"; DestDir: "{tmp}"; MinVersion: 4.0,5.0; Flags: deleteafterinstall dontcopy 

[Run]
Filename: "{app}\cpuz_readme.txt"; MinVersion: 4.0,5.0; Flags: shellexec skipifdoesntexist postinstall skipifsilent nowait

[UninstallRun]
Filename: "{app}\cpuz.exe"; Parameters: "-removeservice"; MinVersion: 4.0,5.0; 

[Icons]
Name: "{group}\CPU-Z"; Filename: "{app}\cpuz.exe"; WorkingDir: "{app}"; MinVersion: 4.0,5.0; 
Name: "{group}\Uninstall CPU-Z"; Filename: "{uninstallexe}"; MinVersion: 4.0,5.0; 
Name: "{commondesktop}\CPUID CPU-Z"; Filename: "{app}\cpuz.exe"; WorkingDir: "{app}"; Tasks: desktopicon; MinVersion: 4.0,5.0; 

[Tasks]
Name: "desktopicon"; Description: "Create a &desktop icon"; GroupDescription: "Additional icons:"; MinVersion: 4.0,5.0; 

[CustomMessages]
default.NameAndVersion=%1 version %2
default.AdditionalIcons=Additional icons:
default.CreateDesktopIcon=Create a &desktop icon
default.CreateQuickLaunchIcon=Create a &Quick Launch icon
default.ProgramOnTheWeb=%1 on the Web
default.UninstallProgram=Uninstall %1
default.LaunchProgram=Launch %1
default.AssocFileExtension=&Associate %1 with the %2 file extension
default.AssocingFileExtension=Associating %1 with the %2 file extension...

[Languages]
; These files are stubs
; To achieve better results after recompilation, use the real language files
Name: "default"; MessagesFile: "embedded\default.isl"; 
